# Method: studies.setBlobStorageSettings

**Full name**: projects.locations.datasets.dicomStores.dicomWeb.studies.setBlobStorageSettings

studies.setBlobStorageSettings sets the blob storage settings of the specified resources.

### HTTP request

`POST https://healthcare.googleapis.com/v1/{resource=projects/*/locations/*/datasets/*/dicomStores/*/dicomWeb/studies/**}:setBlobStorageSettings`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `resource` | `string` Required. The path of the resource to update the blob storage settings in the format of `projects/{projectID}/locations/{locationID}/datasets/{datasetID}/dicomStores/{dicomStoreID}/dicomWeb/studies/{studyUID}`, `projects/{projectID}/locations/{locationID}/datasets/{datasetID}/dicomStores/{dicomStoreID}/dicomWeb/studies/{studyUID}/series/{seriesUID}/`, or `projects/{projectID}/locations/{locationID}/datasets/{datasetID}/dicomStores/{dicomStoreID}/dicomWeb/studies/{studyUID}/series/{seriesUID}/instances/{instanceUID}`. If `filterConfig` is specified, set the value of `resource` to the resource name of a DICOM store in the format `projects/{projectID}/locations/{locationID}/datasets/{datasetID}/dicomStores/{dicomStoreID}`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `resource`: - `healthcare.dicomStores.dicomWebWrite` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "filterConfig": { object(`https://docs.cloud.google.com/healthcare-api/docs/reference/rest/v1/DicomFilterConfig`) }, "blobStorageSettings": { object(`https://docs.cloud.google.com/healthcare-api/docs/reference/rest/v1/BlobStorageSettings`) } } ``` |

| Fields ||
|---|---|
| `filterConfig` | ``object(`https://docs.cloud.google.com/healthcare-api/docs/reference/rest/v1/DicomFilterConfig`)`` Optional. A filter configuration. If `filterConfig` is specified, set the value of `resource` to the resource name of a DICOM store in the format `projects/{projectID}/locations/{locationID}/datasets/{datasetID}/dicomStores/{dicomStoreID}`. |
| `blobStorageSettings` | ``object(`https://docs.cloud.google.com/healthcare-api/docs/reference/rest/v1/BlobStorageSettings`)`` The blob storage settings to update for the specified resources. Only fields listed in `updateMask` are applied. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/healthcare-api/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-healthcare`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).